<?php

//ini_Set('display_errors',1);

session_start();
require_once ("../../config/Cado.php");
require_once ("../flujocaja/cFlujocaja.php");
$oFlujocaja = new cFlujocaja();
require_once("../formatos/formato.php");

require_once ("../caja/cCaja.php");
$oCaja = new cCaja();



$lblmon_sim = 'S/ ';
//// EFECTIVO
$dtsie=$oFlujocaja->resumen_ingreso(fecha_mysql($_POST['txt_fil_cajr_fec1']),fecha_mysql($_POST['txt_fil_cajr_fec2']),$_POST['cmb_fil_usuarior_id'],'1');
$dtie = mysqli_fetch_array($dtsie);
$to_ingresos_efectivo	=$dtie['total'];
mysqli_free_result($dtsie);


$dtsee=$oFlujocaja->resumen_egreso(fecha_mysql($_POST['txt_fil_cajr_fec1']),fecha_mysql($_POST['txt_fil_cajr_fec2']),$_POST['cmb_fil_usuarior_id'],'1');
$dtee = mysqli_fetch_array($dtsee);
$to_egresos_efectivo	=$dtee['total'];
mysqli_free_result($dtsee);

$saldoefectivo = $to_ingresos_efectivo - $to_egresos_efectivo;


/// TRANSFERENCIAS

$dtsie=$oFlujocaja->resumen_ingreso(fecha_mysql($_POST['txt_fil_cajr_fec1']),fecha_mysql($_POST['txt_fil_cajr_fec2']),$_POST['cmb_fil_usuarior_id'],'3');
$dtie = mysqli_fetch_array($dtsie);
$to_ingresos_tradep	=$dtie['total'];
mysqli_free_result($dtsie);


$dtsee=$oFlujocaja->resumen_egreso(fecha_mysql($_POST['txt_fil_cajr_fec1']),fecha_mysql($_POST['txt_fil_cajr_fec2']),$_POST['cmb_fil_usuarior_id'],'3');
$dtee = mysqli_fetch_array($dtsee);
$to_egresos_tradep	=$dtee['total'];
mysqli_free_result($dtsee);

$saldotradep = $to_ingresos_tradep - $to_egresos_tradep;




/// YAPE

$dtsie=$oFlujocaja->resumen_ingreso(fecha_mysql($_POST['txt_fil_cajr_fec1']),fecha_mysql($_POST['txt_fil_cajr_fec2']),$_POST['cmb_fil_usuarior_id'],'6');
$dtie = mysqli_fetch_array($dtsie);
$to_ingresos_yape	=$dtie['total'];
mysqli_free_result($dtsie);


$dtsee=$oFlujocaja->resumen_egreso(fecha_mysql($_POST['txt_fil_cajr_fec1']),fecha_mysql($_POST['txt_fil_cajr_fec2']),$_POST['cmb_fil_usuarior_id'],'6');
$dtee = mysqli_fetch_array($dtsee);
$to_egresos_yape	=$dtee['total'];
mysqli_free_result($dtsee);

$saldoyape = $to_ingresos_yape - $to_egresos_yape;




/// plin

$dtsie=$oFlujocaja->resumen_ingreso(fecha_mysql($_POST['txt_fil_cajr_fec1']),fecha_mysql($_POST['txt_fil_cajr_fec2']),$_POST['cmb_fil_usuarior_id'],'7');
$dtie = mysqli_fetch_array($dtsie);
$to_ingresos_plin	=$dtie['total'];
mysqli_free_result($dtsie);


$dtsee=$oFlujocaja->resumen_egreso(fecha_mysql($_POST['txt_fil_cajr_fec1']),fecha_mysql($_POST['txt_fil_cajr_fec2']),$_POST['cmb_fil_usuarior_id'],'7');
$dtee = mysqli_fetch_array($dtsee);
$to_egresos_plin	=$dtee['total'];
mysqli_free_result($dtsee);

$saldoplin = $to_ingresos_plin - $to_egresos_plin;




?>
<div class="box box-primary">
<div class="box-header">
	
	<div class="row" >
		<div class="col-lg-4 col-md-4 col-sm-4 col-12" >
		<table class="table ">
			<tr>
				<td align="left" colspan="1">
				<span class="btn btn-sm btn-warning" data-toggle="tooltip" data-placement="top" 
				onclick="flujocaja_ticket_datos('<?php echo fecha_mysql($_POST['txt_fil_cajr_fec1']) ?>','<?php echo fecha_mysql($_POST['txt_fil_cajr_fec2']) ?>',
				'<?php echo $_POST['cmb_fil_usuarior_id'] ?>')"><i class="fa fa-print"></i> IMPRIMIR RESUMEN</span>
				</td>
			</tr>
		</table>
		</div>
	</div>
		
<div class="row" >


	<?php 

	$dts1=$oCaja->filtrar('','',$_SESSION['puntoventa_id']);
	while($dt1 = mysqli_fetch_array($dts1))
	{
		
		$caj_id = $dt1['tb_caja_id'];
		$caj_nom = $dt1['tb_caja_nom'];
		$mon_abr = $dt1['tb_moneda_sim'];
		$ban_nom = $dt1['tb_banco_abr'];
		
		
		
		
		$dtsie=$oFlujocaja->resumen_ingreso(fecha_mysql($_POST['txt_fil_cajr_fec1']),fecha_mysql($_POST['txt_fil_cajr_fec2']),$_POST['cmb_fil_usuarior_id'],$caj_id);
		$dtie = mysqli_fetch_array($dtsie);
		$to_ingresos	=$dtie['total'];
		mysqli_free_result($dtsie);


		$dtsee=$oFlujocaja->resumen_egreso(fecha_mysql($_POST['txt_fil_cajr_fec1']),fecha_mysql($_POST['txt_fil_cajr_fec2']),$_POST['cmb_fil_usuarior_id'],$caj_id);
		$dtee = mysqli_fetch_array($dtsee);
		$to_egresos	=$dtee['total'];
		mysqli_free_result($dtsee);

		$saldo = $to_ingresos - $to_egresos;





		?>
		
			<div class="col-lg-3 col-md-4 col-sm-4 col-12" >
										
										
										<table class="table table-striped table-bordered">
											<tr>
												<td align="center" colspan="2"><strong><?php echo $mon_abr.' '.$caj_nom.' '.$ban_nom; ?></strong></td>
											</tr>
											<tr>
												<td align="left"><strong>INGRESOS :</strong></td>
												<td align="right"><span class="pull-left"><?php echo $mon_abr; ?></span> <?php echo formato_money($to_ingresos)?></td>
											</tr>
											<tr>
												<td align="left"> <strong>GASTOS :</strong> </td>
												<td align="right"><span class="pull-left"><?php echo $mon_abr; ?></span> <?php echo formato_money($to_egresos)?></td>
											</tr>
											<tr style="color:#FF1744" >
												<td align="left"><strong>SALDO :</strong></td>
												<td align="right" style="font-size:1.5rem;" ><span class="pull-left"><?php echo $mon_abr; ?></span> <?php echo formato_money($saldo)?></td>
											</tr>
										</table>
										
			</div>
		
		<?php 
	}
?>

</div>
</div>
</div>